WESNOTHD(6)

NAMA
wesnothd - Pertempuran untuk Wesnoth daemon multiplayer jaringan

SINOPSIS
wesnothd [-dv] [-c path] [-p port] [-t number] [-T number]
wesnothd -V

PENJELASAN
Mengatur Pertempuran demi Wesnoth permainan-permainan multiplayer. Lihat http://www.wesnoth.org/wiki/ServerAdministration untuk mengetahui perintah apa yang server terima melalui klien Wesnoth (/ query ...) atau fifo tersebut.

PILIHAN

-c path, --config path
    memberitahu wesnothd dimana untuk mencari file config untuk digunakan. Lihat bagian SERVER CONFIG di bawah ini untuk sintaks. Anda dapat kembali memuat config dengan mengirimkan SIGHUP untuk proses server.

-d, --daemon
    jalanakan wesnothd sebagai daemon.

-h, --help
    memberitahukan kepadamu apa yang pilihan garis perintah lakukan.

--log-level=domain1,domain2,...
    menentukan tingkat keparahan dari domain log. all dapat digunakan untuk menyesuaikan dengan semua domain log. Tersedia tingkatan: error, warning, info, debug. Secara default tingkat error digunakan dan tingkat info untuk domain server.

-p port, --port port
    mengikat server ke port tertentu. Jika port tidak ditentukan, port 15000 akan digunakan.

-t number, --threads number
    menetapkan jumlah maksimum menunggu urutan pekerja untuk jaringan I/O untuk n (default: 5, max: 30).

-T number, --max-threads number
    menetapkan jumlah maksimum dari urutan pekerja yang akan dibuat. Jika diatur ke 0 tidak akan ada batas (default: 0).

-V, --version
    menunjukkan nomor versi dan keluar.

-v, --verbose
    putaran debug membukukan terpasang.

PENGATURAN SERVER

  syntax umumnya adalah:

[tag]

    key="value"

    key="value,value,..."

[/tag]

  Kunci-kunci global:

allow_remote_shutdown
    Jika diatur ke no (default), shut_down dan restart permintaan diabaikan kecuali jika mereka datang dari fifo tersebut. Set ke yes untuk membolehkan remote shutdown melalui permintaan /oleh administrator.

ban_save_file
    Penuh atau path relatif ke (gzip terkompresi) file yang server dapat membaca dan menulis. Larangan akan disimpan ke file ini dan membaca lagi pada permulaan server.

compress_stored_rooms
    Menentukan apakah kamar file harus dibaca dan ditulis ke dalam bentuk terkompresi. Default untuk yes.

connections_allowed
    Jumlah koneksi diizinkan dari IP yang sama. 0 berarti tak terbatas. (Default: 5)

disallow_names
    Nama / nick yang tidak diterima oleh server. * dan ? Dari pola wildcard yang didukung. Lihat glob(7) untuk lebih jelasnya. nilai default (digunakan jika tidak ada yang khusus) adalah: *admin*,*admln*,*server*,ai,ai?,komputer, manusia, jaringan,pemain.

fifo_path
    Path ke fifo Anda dapat echo perintah ke server (sama seperti /query ... dari Wesnoth). Jika tidak ditentukan default ke jalan saat kompilasi (default: /var/run/socket/wesnothd/socket).

max_messages
    Jumlah pesan yang diperbolehkan dalam messages_time_period. (default: 4)

messages_time_period
    Jangka waktu (dalam detik) banjir pesan terdeteksi masuk (default: 10 detik)

motd
    Pesan hari ini.

new_room_policy
    Menentukan siapa yang dapat membuat kamar baru pada server. nilai-nilai yang tersedia adalah everyone, registered, admin and nobody, dan masing-masing memberikan izin kepada semua orang, pengguna terdaftar, admin pengguna atau menonaktifkan penciptaan kamar baru. Default adalah nilai everyone.

passwd
    sandi yang digunakan untuk mendapatkan hak istimewa admin (via /query admin password).

replay_save_path
    Direktori tempat menyimpan server game replays. (Jangan lupa trailing /!) Default ke `' yang berarti direktori wesnothd mulai masuk

restart_command
    Perintah yang menggunakan server untuk memulai proses server baru melalui perintah restart. (Bisa hanya akan dikeluarkan melalui fifo. Lihat pengaturan allow_remote_shutdown setting.)

room_save_file
    Path ke file mana info kamar harus disimpan. File ini dibaca pada startup server dan ditulis untuk nanti. Jika kosong atau tidak disetel, kamar tidak dimuat dan tidak disimpan.

save_replays
    Mendefinisikan apakah server secara otomatis akan menyimpan replay permainan. (default: false)

versions_accepted
    Sebuah koma daftar terpisah versi string untuk diterima oleh server. * dan ? Dari pola wildcard yang didukung. (Default ke versi yang sesuai Wesnoth)
    Contoh: versions_accepted="*" terima versi string manapun.

user_handler
    Nama pengguna untuk menggunakan pengendali. Saat ini penangan pengguna yang tersedia adalah forum (untuk menghubungkan wesnothd ke database phpbb forum) dan sample (contoh implementasi pengendali interface pengguna, jika Anda menggunakan ini maka kamu benar-benar luar biasa). Nilai default adalah forum. Anda juga harus menambahkan [user_handler] bagian, lihat di bawah.

  Label Global :

[redirect] Suatu label untuk menetapkan suatu server untuk mengalihkan jurusan versi klien tertentu ke.

    host
        Menunjukkan server mengalihkan jurusan ke.

    port
        pintu untuk menghubungkan ke

    version
        Suatu tanda koma memisahkan daftar versi untuk mengalihkan jurusan. Sama seperti versions_accepted dalam hubungan dengan pola wildcard.

[ban_time] Sebuah tag untuk menentukan kata kunci yang mudah digunakan untuk jangka waktu larangan sementara.

    name
        Nama yang digunakan untuk referensi waktu larangan.

    time
        Definisi waktu panjang. Formatnya adalah: %d[%s[%d%s[...]]] dimana %s adalah s (detik), m (menit), h (jam), D (hari), M (bulan) atau Y (tahun) dan %d adalah angka. Jika tidak ada pengubah waktu diberikan menit (m) diasumsikan. Contoh: time="1D12h30m" hasil dalam waktu larangan 1 hari, 12 jam dan 30 menit.

[proxy] Sebuah tag untuk memberitahu server untuk bertindak sebagai proxy dan meneruskan permintaan klien terhubung ke server tertentu. Menerima sama tombol sebagai [redirect].

[user_handler] Mengkonfigurasi penangan pengguna. Tersedia tombol bervariasi tergantung pada penangan pengguna diatur dengan tombol user_handler. Jika tidak ada [user_handler] bagian hadir di konfigurasi server akan berjalan tanpa ada layanan pendaftaran nick.

    db_host
        (for user_handler=forum) hostname dari server basisdata

    db_name
        (for user_handler=forum) nama dari basisdata

    db_user
        (for user_handler=forum) Nama pemain yang mana telah membukukan ke dalam basisdata

    db_password
        (for user_handler=forum) Ini adalah kata sandi pengguna

    db_users_table
        (for user_handler=forum) Nama pada tabel di mana phpbb forum mu menyimpan data pemakai nya. hampir bisa dipastikan Ini nantinya <table-prefix>_users (e.g. phpbb3_users).

    db_extra_table
        (for user_handler=forum) Nama pada tabel di mana wesnothd akan menyimpankan data-data para pemakai. Kamu akan harus membuat tabelnya sendiri, e.g.: CREATE TABLE <table-name>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (for user_handler=sample) Waktu setelah mana nick terdaftar berakhir (dalam hitungan hari).

[mail] Mengkonfigurasi server SMTP melalui mana pengendali user dapat mengirim surat. Saat ini hanya digunakan oleh pengguna penangan sampel.

    server
        Nama Host pos server

    username
        Nama Pemain di bawah ini adalah yang telah mencatatkan ke dalam server pos.

    password
        Ini adalah kata sandi pengguna

    from_address
        Pesan balasan-dikirimkan ke alamat emailmu

    mail_port
        Sambungan dimana server pos berada sedang berjalan. Defaultnya 25.

KELUAR
Status keluar normal adalah 0 ketika server dengan baik shutdown. Suatu status keluar 2 menandai adanya suatu kesalahan dengan pilihan garis perintah.

PENGARANG
Ditulis Oleh David White <davidnwhite@verizon.net>. Diperiksa Oleh Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> dan Thomas Baumhauer <thomas.baumhauer@gmail.com>. Halaman pedoman ini ditulis oleh Cyril Bouthors <cyril@bouthors.org>.
Kunjungi halaman resmi kami di: http://www.wesnoth.org/

HAK CIPTA
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Ini adalah perangkat lunak gratis, perangkat lunak ini berlisensi di bawah GPL versi 2, seperti dipublikasikan oleh Free Software Foundation. TIDAK ADA garansi; bahkan tidak juga untuk PENJUALAN atau KESESUAIAN UNTUK TUJUAN TERTENTU.

KUNJUNGI JUGA
wesnoth(6).